# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.86"
name = "mono-changeset"
version = "0.0.1"
authors = ["Zensical <contributors@zensical.org>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Mono repository changeset utilities"
homepage = "https://github.com/zensical/mono"
documentation = "https://github.com/zensical/mono"
readme = "README.md"
license = "MIT"
repository = "https://github.com/zensical/mono"

[lib]
name = "mono_changeset"
path = "src/lib.rs"

[dependencies.globset]
version = "0.4"

[dependencies.mono-project]
version = "0.0.1"

[dependencies.mono-repository]
version = "0.0.1"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.thiserror]
version = "2.0"

[lints.clippy.all]
level = "warn"
priority = -1

[lints.clippy.pedantic]
level = "warn"
priority = -1
